summaryrefslogtreecommitdiff
path: root/packages/backend/src/server/api/endpoints/users (follow)
Commit message (Collapse)AuthorAgeFilesLines
* fix: review fixes (#17208)かっこかり3 days2-3/+3
| | | | | | | | | | | | | | | | | | | | | | | | | | | | * fix: OAuthのContent-Typeを正しく判定するように * fix(frontend): fix outdated comments * fix: storagePersistenceのtop-level awaitを解消 * fix * fix(frontend): add comment Co-Authored-By: anatawa12 <anatawa12@icloud.com> * fix * fix: rename `users/get-following-users-by-birthday` * fix: fix types * Update MkForm.vue * refactor utility/storage.ts --------- Co-authored-by: anatawa12 <anatawa12@icloud.com> Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
* enable and fix no-unused-vars and no-async-promise-executor (#17070)anatawa122026-01-081-1/+1
| | | | | | | | | * dev: set --no-bail for lint task * lint: enable no-async-promise-executor lint and fix them * lint: enable no-unused-vars with allowing _ prefix * lint: fix semi
* enhance: ↵かっこかり2025-12-312-7/+175
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | 誕生日のユーザーウィジェットで、今日だけに限らず、直近の誕生日ユーザーを表示できるように (#13637) * enhance(frontend): 「今日誕生日のフォロー中ユーザー」ウィジェットをリファクタリング (cherry picked from commit 24652b9364fd7d898ac176e0da3bb6e957f72328) * fix(backend): 年越しの時期で誕生日検索クエリーが誤動作する問題を修正 (MisskeyIO#577) (cherry picked from commit 38581006be35b4725b235be9f178d2c0c9c5af33) * fix * spdx * delete birthday param on users/following api * 名称を一本化 * Update Changelog * Update Changelog * fix(frontend/WidgetBirthdayFollowings): ユーザーの名前が長いと投稿ボタンがはみ出てしまう問題を修正 (MisskeyIO#582) (cherry picked from commit fa47a545b1b770e5f3e52bb2798d1104da5dd244) * use module css * default 3day * Revert "delete birthday param on users/following api" This reverts commit a47456c1c43410409ed3607ae1d6ebb69a82324b. * Update Changelog * 日付が1ヶ月ズレている問題を修正? * fix: 日付関連のバグを修正 Co-authored-by: taiy <53635909+taiyme@users.noreply.github.com> * build misskey-js types * add comment * Update CHANGELOG.md * migrate * change migration * UPdate Changelog * fix: revert unnecessary changes * :art: * i18n * fix * update changelog * :art: * fix lint * refactor: remove unnecessary classes * fix * fix --------- Co-authored-by: まっちゃとーにゅ <17376330+u1-liquid@users.noreply.github.com> Co-authored-by: taiy <53635909+taiyme@users.noreply.github.com>
* feat: チャンネルミュートの実装 (#14105)おさむのひと2025-11-071-4/+26
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * add channel_muting table and entities * add channel_muting services * タイムライン取得処理への組み込み * misskey-jsの型とインターフェース生成 * Channelスキーマにミュート情報を追加 * フロントエンドの実装 * 条件が逆だったのを修正 * 期限切れミュートを掃除する機能を実装 * TLの抽出条件調節 * 名前の変更と変更不要の差分をロールバック * 修正漏れ * isChannelRelatedの条件に誤りがあった * [wip] テスト追加 * テストの追加と検出した不備の修正 * fix test * fix CHANGELOG.md * 通常はFTTにしておく * 実装忘れ対応 * fix merge * fix merge * add channel tl test * fix CHANGELOG.md * remove unused import * fix lint * fix test * fix favorite -> favorited * exclude -> include * fix CHANGELOG.md * fix CHANGELOG.md * maintenance * fix CHANGELOG.md * fix * fix ci * regenerate * fix * Revert "fix" This reverts commit 699d50c6ec798777d8e9667cb5d45a26b06bfc93. * fixed --------- Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
* refactor(frontend): ↵かっこかり2025-09-131-9/+18
| | | | | | | | | | | | | | | | | フロントエンドの型エラー解消(途中まで) (#16539) * fix(frontend): FormLinkをボタンとして使用した際にエラーが出る問題を修正 * refactor(frontend): フロントエンドの型エラー解消 * remove unused ts-expect-error * migrate * remove unrelated changes * fix lint * more type fixes
* refactorsyuilo2025-08-262-2/+12
|
* enhance: ユーザー検索を制限できるように (#16380)かっこかり2025-08-091-0/+1
| | | | | * enhance: ユーザー検索を制限できるように * Update Changelog
* enhance: ↵syuilo2025-06-287-9/+22
| | | | ページネーション(一覧表示)の基準日時を指定できるように sinceId/untilIdが指定可能なエンドポイントにおいて、sinceDate/untilDateも指定可能に
* fix(backend): ↵syuilo2025-06-021-3/+4
| | | | ログインできなくなるため、ugcVisibilityForVisitorがnoneでもusers/showは許可するように
* Fix: ↵anatawa122025-05-292-6/+5
| | | | | | | | | | | | | | | | | | | | | | | | | ミュート対象ユーザーが引用されているノートがRNされたときにミュートを貫通してしまう問題 (#16009) * chore: change 3rd parameter of generateMutedUserQueryForNotes to options * chore: allow specifying note column for note/block query * chore: check for mute / block for renote of note with DB query * chore: check for mute / block for renote of note with FTT * refactor: ミュート・ブロックのためのクエリ呼び出しを一つの関数にまとめる * docs(changelog): ミュート対象ユーザーが引用されているノートがRNされたときにミュートを貫通してしまう問題を修正 * fix missing default parameter * Update is-user-related.ts * test: add tests for mutes --------- Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
* fix(backend): correct invalid schema format specifying only `required` for ↵zyoshoka2025-05-276-72/+162
| | | | | | | `anyOf` (#16089) * fix(backend): correct invalid schema format specifying only `required` for `anyOf` * refactor(backend): make types derived from `allOf` or `anyOf` more strong
* Feat: UGCの公開範囲設定機能 (#15938)syuilo2025-05-091-1/+16
| | | | | | | | | | | * wip * Update CHANGELOG.md * wip * wip * Update show.ts
* fix(backend): enumerate achievement types in some response schema (#15953)zyoshoka2025-05-061-9/+1
| | | | | * fix(backend): enumerate achievement types in some response schema * refactor: use `ref`
* Exclude suspended users note from most timelines (#15775)anatawa122025-05-013-1/+10
| | | | | | | | | | | | | | | | | | | | | | | | | | | * feat: exclude notes by suspended user from FTT timeline endpoint * feat: exclude notes by suspended user from DB based timelines * chore: fix types * chore: fix types * chore: fix non-reply / renote * chore: fix non-reply / renote * test: update test * docs(changelog): 凍結されたユーザのノートが各種タイムラインで表示されないように * Exclude suspended users note from featured * fix: join user * Update CHANGELOG.md --------- Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
* Exclude blocked instance note from most timelines (#15792)anatawa122025-04-283-0/+7
| | | | | | | | | * Exclude blocked instance note from most timelines * Exclude blocked instance note from FTT timelines * Exclude blocked instance note from featured * fix type
* enhance(backend): ↵syuilo2025-03-272-75/+8
| | | | ミュートしているユーザーをユーザー検索の結果から除外するように
* refactor(backend): better method namesyuilo2025-03-272-3/+3
|
* feat: ノートの閲覧にログイン必須にする設定 (#14799)syuilo2024-10-211-0/+6
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * wip * wip * wip * Update packages/frontend/src/pages/note.vue Co-authored-by: かっこかり <67428053+kakkokari-gtyih@users.noreply.github.com> * wip * Update WebhookTestService.ts * Update privacy.vue * wip * rename * Update locales/ja-JP.yml Co-authored-by: Sayamame-beans <61457993+Sayamame-beans@users.noreply.github.com> * :art: * wip --------- Co-authored-by: かっこかり <67428053+kakkokari-gtyih@users.noreply.github.com> Co-authored-by: Sayamame-beans <61457993+Sayamame-beans@users.noreply.github.com>
* refactor/perf(backend): provide metadata statically (#14601)syuilo2024-09-221-6/+5
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * wip * Update ReactionService.ts * Update ApiCallService.ts * Update timeline.ts * Update GlobalModule.ts * Update GlobalModule.ts * Update NoteEntityService.ts * wip * wip * wip * Update ApPersonService.ts * wip * Update GlobalModule.ts * Update mock-resolver.ts * Update RoleService.ts * Update activitypub.ts * Update activitypub.ts * Update activitypub.ts * Update activitypub.ts * Update activitypub.ts * clean up * Update utils.ts * Update UtilityService.ts * Revert "Update utils.ts" This reverts commit a27d4be764b78c1b5a9eac685e261fee49331d89. * Revert "Update UtilityService.ts" This reverts commit e5fd9e004c482cf099252201c0c1aa888e001430. * vuwa- * Revert "vuwa-" This reverts commit 0c3bd12472b4b9938cdff2d6f131e6800bc3724c. * Update entry.ts * Update entry.ts * Update entry.ts * Update entry.ts * Update jest.setup.ts
* fix(backend): check visibility of following/followers of remote users / ↵Daiki Mizukami2024-08-092-30/+38
| | | | | | | | | | | | | | | | | | | | | | | | feat: moderators can see following/followers of all users (#14375) * fix(backend): check visibility of following/followers of remote users Resolves https://github.com/misskey-dev/misskey/issues/13362. * test(backend): add tests for visibility of following/followers of remote users * docs(changelog): update CHANGELOG.md * feat: moderators can see following/followers of all users * docs(changelog): update CHANGELOG.md * refactor(backend): minor refactoring `createPerson`と`if`の条件を統一するとともに、異常系の 処理をearly returnに追い出すための変更。 * feat(backend): moderators can see following/followers count of all users As per https://github.com/misskey-dev/misskey/pull/14375#issuecomment-2275044908.
* 検索からハッシュタグのページが開けるように、users/sear ↵Sayamame-beans2024-07-301-65/+43
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | chに`@`から始まる文字列が与えられた際の処理を修正 等 (#13858) * enhance(frontend): 検索からハッシュタグのページを開けるように * fix(frontend): 照会で入力が`#`のみの場合は`/tags/`に遷移しないように * docs(changelog): update changelog * enhance(frontend): ユーザー検索からもハッシュタグのページを開けるように * docs(changelog): update changelog * enhance(frontend): 検索範囲等が指定されている時は照会/ハッシュタグページを開かないように * enhance(frontend): 検索内容に空白が含まれている場合は照会/ハッシュタグページを開かないように * docs(changelog): update changelog * Revert "enhance(frontend): 検索範囲等が指定されている時は照会/ハッシュタグページを開かないように" This reverts commit f84eecea964b90e9b115eac19ed6f19a603a6bbc. * enhance(frontend): 検索から照会/ハッシュタグページを開くかどうか確認するように * docs(changelog): update changelog * chore: fix lint * docs(changelog): update changelog insertion position * enhance(frontend): 検索から`@user@host`の形式で照会出来るように * fix(frontend): 照会で入力が`@`のみの場合に`/@`に遷移しないように * fix(backend): `users/search`において`@`から始まるqueryに対する処理が正しくなかった問題を修正 * docs(changelog): update changelog * chore(backend): fix lint error * fix(backend): more improvements for users/search when query startswith `@` * chore: unify common conditions * docs(changelog): refine changelog * chore(backend): fix lint error * MkInputをpreventに対応させ、enterの意図せぬ伝搬を防ぐ * chore(frontend/search.user): use .prevent to prevent the propagation of enter instead of setTimeout --------- Co-authored-by: samunohito <46447427+samunohito@users.noreply.github.com> Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com> Co-authored-by: taichanne30 <dev@taichan.site>
* fix(backend): ↵Sayamame-beans2024-07-141-2/+17
| | | | | | | | | | | | | | | ユーザーのリアクション一覧でミュート/ブロックが機能していなかった問題を修正 (#14100) * fix: mute/block was not considered on users/reactions * docs(changelog): update changelog * chore: Apply suggestion from code review Co-authored-by: zyoshoka <107108195+zyoshoka@users.noreply.github.com> --------- Co-authored-by: zyoshoka <107108195+zyoshoka@users.noreply.github.com>
* fix: ↵おさむのひと2024-07-121-90/+11
| | | | | | | | | | | | | サジェストされるユーザのリストアップ方法を見直し (#14180) * fix: サジェストされるユーザのリストアップ方法を見直し * fix comment * fix CHANGELOG.md * ノートの無いユーザ(updatedAtが無いユーザ)は含めないらしい * fix test
* Fix(backend): Limit antenna/webhook/list to exact amount (#14036)Ryu jongheon2024-06-182-2/+2
| | | | ... not +1 * Update antennas/clips e2e test
* feat: ↵おさむのひと2024-06-081-44/+10
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | 通報を受けた際にメールまたはWebhookで通知を送出出来るようにする (#13758) * feat: 通報を受けた際にメールまたはWebhookで通知を送出出来るようにする * モデログに対応&エンドポイントを単一オブジェクトでのサポートに変更(API経由で大量に作るシチュエーションもないと思うので) * fix spdx * fix migration * fix migration * fix models * add e2e webhook * tweak * fix modlog * fix bugs * add tests and fix bugs * add tests and fix bugs * add tests * fix path * regenerate locale * 混入除去 * 混入除去 * add abuseReportResolved * fix pnpm-lock.yaml * add abuseReportResolved test * fix bugs * fix ui * add tests * fix CHANGELOG.md * add tests * add RoleService.getModeratorIds tests * WebhookServiceをUserとSystemに分割 * fix CHANGELOG.md * fix test * insertOneを使う用に * fix * regenerate locales * revert version * separate webhook job queue * fix * :art: * Update QueueProcessorService.ts --------- Co-authored-by: osamu <46447427+sam-osamu@users.noreply.github.com> Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
* fix(backend): use insertOne insteadof insert/findOneOrFail combination (#13908)Acid Chicken2024-06-013-6/+6
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * fix(backend): use insertOne insteadof insert/findOneOrFail combination * fix: typo * fix(backend): inherit mainAlias? * refactor(backend): use extend * fix(backend): invalid entityTarget * fix(backend): fake where * chore: debug * chore: debug * test: log * fix(backend): column names * fix(backend): remove dummy from * revert: log * fix(backend): position * fix(backend): automatic aliasing * chore(backend): alias * chore(backend): remove from * fix(backend): type * fix(backend): avoid pure name * test(backend): fix type * chore(backend): use cte * fix(backend): avoid useless alias * fix(backend): fix typo * fix(backend): __disambiguation__ * fix(backend): quote * chore(backend): t * chore(backend): accessible * chore(backend): concrete returning * fix(backend): quote * chore: log more * chore: log metadata * chore(backend): use raw * fix(backend): returning column name * fix(backend): transform * build(backend): wanna logging * build(backend): transform empty * build(backend): build alias * build(backend): restore name * chore: return entity * fix: test case * test(backend): 204 * chore(backend): log sql * chore(backend): assert user joined * fix(backend): typo * chore(backend): log long sql * chore(backend): log join * chore(backend): log join depth null * chore(backend): joinAttributes * chore(backend): override createJoinExpression * chore: join log * fix(backend): escape * test(backend): log log * chore(backend): join gonna success? * chore(backend): relations * chore(backend): undefined * chore(backend): target * chore(backend): remove log * chore(backend): log chart update * chore(backend): log columns * chore(backend): check hasMetadata * chore(backend): unshift id when not included * chore(backend): missing select * chore(backend): remove debug code
* perf(backend): avoid N+1 selects from `user` table when packing many ↵zyoshoka2024-05-312-7/+9
| | | | | | | entities (#13911) * perf(backend): avoid N+1 selects from `user` table when packing many entities * perf(backend): use `packMany` instead of mapping to `pack`
* fix: ↵anatawa122024-05-201-1/+3
| | | | | | | | | | | 複数idを指定する`users/show`が関係ないユーザを返すことがある問題を修正 (#13765) * fix: 複数idを指定する`users/show`が関係ないユーザを返すことがある問題を修正 * test: fix misskey js test * chore: user/showがnullを返さないように * chore: pass lambda instead of pushVisibleUser
* fix(frontend): ↵かっこかり2024-03-251-4/+3
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | 「今日誕生日のフォロー中ユーザー」ウィジェットが正しく動作しない問題を修正 (#12835) * (fix) タイムゾーンによっては誕生日のフォロー中ユーザーが正しく読み込まれない * 文言をわかりやすく * Update Changelog * (add) reload button * Update CHANGELOG.md * run misskey-js * fix * Revert "文言をわかりやすく" This reverts commit c5ab6419563cc70ec8ba758e800c74d3469131e3. * Update packages/frontend/src/widgets/WidgetBirthdayFollowings.vue * Update packages/frontend/src/widgets/WidgetBirthdayFollowings.vue --------- Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
* refactor(backend): UserEntityService.packMany()の高速化 (#13550)おさむのひと2024-03-121-5/+3
| | | | | * refactor(backend): UserEntityService.packMany()の高速化 * 修正
* refactorsyuilo2024-02-241-1/+1
|
* (re) update SPDX-FileCopyrightTexttamaina2024-02-1330-30/+30
| | | | Fix #13290
* Revert "update SPDX-FileCopyrightText"tamaina2024-02-1330-30/+30
| | | | This reverts commit 9b5aeb76d8c9372d67058c512597152b6bf222f2.
* update SPDX-FileCopyrightTextsyuilo2024-02-1230-30/+30
|
* refactor(backend): exist -> exists (#13203)かっこかり2024-02-087-11/+11
| | | | | * refactor(backend): exist -> exists * fix
* fix: Hide reactions of all remote users / feat: moderators can see reactions ↵tamaina2024-02-011-3/+21
| | | | | | | | | | | | | of all users (#13128) * fix: Hide reactions of all remote users https://github.com/misskey-dev/misskey/issues/12964 * feat: Moderators can see reactions of all users https://github.com/misskey-dev/misskey/issues/13127 * modify CHANGELOG.md * fix iAmModerator
* refactor(backend): User関連のスキーマ/型の指定を強くする ↵zyoshoka2024-01-316-7/+7
| | | | | | | | | | | | | | | | | (#12808) * refactor(backend): User関連のスキーマ/型の指定を強くする * refactor(backend): `pack()`の引数にスキーマを指定するように * chore: fix ci * fix: 変更漏れ * fix ci --------- Co-authored-by: syuilo <Syuilotan@yahoo.co.jp>
* Merge pull request from GHSA-7pxq-6xx9-xpgmChocolate Pie2023-12-276-2/+7
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * fix: fix improper authorization when accessing with third-party application * refactor: refactor type definitions * fix: get rid of unnecessary access limitation * enhance: サードパーティアプリケーションがWebsocket APIを使えるように * fix: add missing parentheses * Revert "fix(backend): add missing kind definition for admin endpoints to improve security" This reverts commit 5150053275594278e9eb23e72d98b16593c4c230. * frontend: 翻訳の抜けを訂正, read:adminとwrite:adminはアクセス発行トークンのデフォルトでは非表示にする * enhance(test): misskey-ghsa-7pxq-6xx9-xpgmに関するテストを追加 * enhance(test): Websocket APIに対するテストも追加 * enhance(refactor): `@/misc/api-permissions.ts`を`misskey-js/permissions`に統合 * fix(frontend): アクセストークン発行UIで全ての権限を有効にした際、管理者用APIへのアクセスも許可してしまう問題を修正 * enhance(backend): Websocketの接続に最低限必要な権限を変更 * fix(backend): `/api/admin/meta`をサードパーティアプリケーションからはアクセスできないように * fix(backend): エンドポイントにアクセスするために必要な権限を変更 * fix(frontend/locale): Add missing type declaration * chore: update `misskey-js/src/autogen` --------- Co-authored-by: tamaina <tamaina@hotmail.co.jp>
* enhance: ↵GrapeApple02023-12-212-0/+44
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | api.jsonのレスポンスの内容を実際の内容に合わせる (#12723) * Create packedAdSchema * admin/emoji/add * admin/get-user-ips * admin/roles/users * admin/get-index-stats * admin/accounts/find-by-email * fix type of admin/ad/list * federation/stats * endpoints * get-online-users-count * i/2fa/register-key * i/2fa/key-done * i/2fa/register * i/apps * i/authorized-apps * i/registry/get-all * i/registry/get * i/registry/get-detail * i/registry/key-with-type * i/registry/scopes-with-domain * i/update-email * i/move * i/webhooks/create * fix miss type * i/webhooks/show * i/webhooks/list * flash/create * roles/users * server-info * test * users/lists/get-memberships * users/achievements * fetch-rss * fetch-external-resources
* enhance: ↵zawa-ch2023-12-182-4/+4
| | | | | | | | | | | | | | | | | | “つながりの公開範囲”がフォロー・フォロワー個別設定できるように (#12702) * Enhance: “つながりの公開範囲”がフォロー・フォロワー個別設定できるように (#12072) * refactor: crowdin 編集部分のコミットを打ち消し https://github.com/misskey-dev/misskey/pull/12702#issuecomment-1859417158 * refactor: オブジェクトの名前修正 https://github.com/misskey-dev/misskey/pull/12702#issuecomment-1859417158 * fix: 設定項目の説明を削除 名称が具体的になって必要なくなったため https://github.com/misskey-dev/misskey/pull/12702#discussion_r1429932463
* perf: early return users/notes and users/featured-notes if me is blocked by ↵anatawa122023-12-152-3/+16
| | | | requesting user (#12663)
* fix(backend): ↵KanariKanaru2023-12-071-3/+18
| | | | | | | | | | | | | | | | | | | | ブロックした相手から自分のノートが見えないように(/users/featured-notes, /users/notes) (#12511) * fix: ブロックした相手から自分のノートが見えないように(ユーザー,チャンネル) * Update CHANGELOG.md * /users/featured-notesでもブロックを考慮するように * cacheServiceを使うように * /channels/timeline.tsで必要のないnoteFilterを持たないように * Update CHANGELOG.md * FanoutTimelineEndpointServiceへの対応 - ブロックされている場合は、/users/notesでノートが表示されない - ミュートしている場合は、ノートが表示される
* Filter User / Instance Mutes in FanoutTimelineEndpointService (#12565)anatawa122023-12-041-19/+15
| | | | | | | | | | | | | | | | | | | | | | | * fix: unnecessary logging in FanoutTimelineEndpointService * chore: TimelineOptions * chore: add FanoutTimelineName type * chore: forbid specifying both withReplies and withFiles since it's not implemented correctly * chore: filter mutes, replies, renotes, files in FanoutTimelineEndpointService * revert unintended changes * use isReply in NoteCreateService * fix: excludePureRenotes is not implemented * fix: replies to me is excluded from local timeline * chore(frontend): forbid enabling both withReplies and withFiles * docs(changelog): インスタンスミュートが効かない問題の修正について言及
* fix: withChannelNotesとwithFilesを同時に指定したときの考慮 ↵shiosyakeyakini2023-12-031-0/+3
| | | | | (#12550) Co-authored-by: sorairo <sorairo@shiosyakeyakini.info>
* Refine fanout timeline (#12507)anatawa122023-12-021-96/+102
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * chore(endpoints/hybrid-timeline): don't pack inside getFromDb * chore(endpoints/hybrid-timeline): Redisから取得する部分のうちSTLに依存しなそうなところを別のServiceに切り出し * chore(endpoints/local-timeline): FanoutTimelineEndpointServiceで再実装 * chore(endpoints/channels/timeline): FanoutTimelineEndpointServiceで再実装 * chore(endpoints/timeline): FanoutTimelineEndpointServiceで再実装 * chore(endpoints/user-list-timeline): FanoutTimelineEndpointServiceで再実装 * chore(endpoints/users/notes): FanoutTimelineEndpointServiceで再実装 * chore: add useDbFallback to FanoutTimelineEndpointService.timeline and always true for channel / user note list * style: fix lint error * chore: split logic to multiple functions * chore: implement redis fallback * chore: 成功率を上げる * fix: db fallback not working * feat: allowPartial * chore(frontend): set allowPartial * chore(backend): remove fallbackIfEmpty HTL will never be purged so it's no longer required * fix: missing allowPartial in channel timeline * fix: type of timelineConfig in hybrid-timeline --------- Co-authored-by: syuilo <Syuilotan@yahoo.co.jp>
* chore: remove unimplemented excludeNsfw (#12520)anatawa122023-12-021-1/+0
|
* feat(frontend): ↵かっこかり2023-11-301-0/+23
| | | | | | | | | | | | | | | 今日誕生日のフォロー中のユーザーを一覧表示できるウィジェットを追加 (#12450) * (add) 今日誕生日のフォロイー一覧表示 * Update Changelog * Update Changelog * 実装漏れ * create index * (fix) index
* fix(backend): rename FunoutTimelineService to FanoutTimelineService (#12453)zyoshoka2023-11-261-5/+5
|
* fix: ↵yukineko2023-11-241-1/+5
| | | | | | | 特定の条件下でチャンネルやユーザーのノート一覧に最新のノートが表示されなくなる問題を修正 (#12431) * fix: 特定の条件下でチャンネルやユーザーのノート一覧に最新のノートが表示されなくなる問題を修正 * update: CHANGELOG.md
* ユーザのノートのみ表示時にDBへフォールバックすると ↵おさむのひと2023-11-131-2/+1
| | | | | | | | | | | ノートを含んでしまうのを修正 (#12321) * ユーザのノートのみ表示時にDBへフォールバックするとリノートを含んでしまうのを修正 * fix CHANGELOG.md --------- Co-authored-by: osamu <46447427+sam-osamu@users.noreply.github.com>